package com.gyee.frame.model.auto;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 线路 Line 
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2019-12-31 14:58:09
 */
 @ApiModel(value="Line", description="线路")
public class Line implements Serializable {

	private static final long serialVersionUID = 1L;
	
		
	/** 编号 **/
	@ApiModelProperty(value = "编号") 
private String id;
		
	/** 编码 **/
	@ApiModelProperty(value = "编码") 
private String code;
		
	/** 名称 **/
	@ApiModelProperty(value = "名称") 
private String name;
		
	/** 别名 **/
	@ApiModelProperty(value = "别名") 
private String aname;
		
	/** 项目编号 **/
	@ApiModelProperty(value = "项目编号") 
private String projectid;
		
	/** 顺序号 **/
	@ApiModelProperty(value = "顺序号") 
private BigDecimal ordernum;
		
	/** 容量 **/
	@ApiModelProperty(value = "容量") 
private BigDecimal capacity;
		
	/** 容量单位 **/
	@ApiModelProperty(value = "容量单位") 
private String capacityunit;
		
	/** 数量 **/
	@ApiModelProperty(value = "数量") 
private BigDecimal quantity;
		
		
	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
	 
			
	public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
	 
			
	public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
	 
			
	public String getAname() {
        return aname;
    }

    public void setAname(String aname) {
        this.aname = aname;
    }
	 
			
	public String getProjectid() {
        return projectid;
    }

    public void setProjectid(String projectid) {
        this.projectid = projectid;
    }
	 
			
	public BigDecimal getOrdernum() {
        return ordernum;
    }

    public void setOrdernum(BigDecimal ordernum) {
        this.ordernum = ordernum;
    }
	 
			
	public BigDecimal getCapacity() {
        return capacity;
    }

    public void setCapacity(BigDecimal capacity) {
        this.capacity = capacity;
    }
	 
			
	public String getCapacityunit() {
        return capacityunit;
    }

    public void setCapacityunit(String capacityunit) {
        this.capacityunit = capacityunit;
    }
	 
			
	public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }
	 
			
	public Line() {
        super();
    }
    
																																															
	public Line(String id,String code,String name,String aname,String projectid,BigDecimal ordernum,BigDecimal capacity,String capacityunit,BigDecimal quantity) {
	
		this.id = id;
		this.code = code;
		this.name = name;
		this.aname = aname;
		this.projectid = projectid;
		this.ordernum = ordernum;
		this.capacity = capacity;
		this.capacityunit = capacityunit;
		this.quantity = quantity;
		
	}
	
}